
Application: gvSIG desktop - gvSIG feature requests #3250
Preprar las tareas de Jenjins para poder actualizar las versiones de algunos proyectos a la ultima 
revision.
03/05/2015 06:36 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Hito:
Add-on version:
Description

Es muy engorroso actualizar la versiones de :

    -  org.gvsig.desktop (el padre de casi todos los proyectos)
    -  org.gvsig.tools
    -  org.gvsig.raster
    -  org.gvsig.toolbox
    -  org.gvsig.geoprocess

A las ultimas versiones no SNAPSHOT disponibles.
Para hacerlo hay que descargarse uno a uno todos los proyectos, actualizar las versiones de estos, compilar y volver a subirlos al
SVN para generar la revision desde el Jenkins.

Habria que preparar una accion en el Jenkins asociada a las tareas de cada proyecto que permitiese hacerlo de forma rapida y
comoda sin tener que descargarnos el proyecto. Esto nos ahorraria timpo y errores.

History
#1 - 03/05/2015 06:37 PM - Joaquín  del Cerro Murciano
- gvSIG version set to 2.1.0
- Target version set to 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)
- Project changed from EPg to Application: gvSIG desktop
- Tracker changed from Task to gvSIG feature requests

#2 - 03/05/2015 06:46 PM - Joaquín  del Cerro Murciano

Al parecer se puede hacer un "mvn versions:update-parent" para actualizar la version del padre, normalmente org.gvsig.desktop a la ultima version no
SNAPSHOT subida al repositorio de maven.

Para actualizar las versiones de los otro proyectos es algo mas complejo. Usar "mvn versions:use-latest-releases" no funciona debido a un bug en el
plugin de maven "versions" que no trabaja bien cuando es scope es "import" como es en los casos de:

    -  org.gvsig.raster
    -  org.gvsig.toolbox
    -  org.gvsig.geoprocess

Parece ser que habria que modificar todos los poms para que en lugar de incluir la version directamenta en la dependencia, se defina en una
propiedad y se use "mvn versions:update-property".

#3 - 04/02/2015 06:25 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 04/07/2015 11:24 AM - Álvaro Anguix
- Status changed from Fixed to Closed
